import cx_Freeze

cx_Freeze.setup(
  name="textension",
  version="0.4",
  author="Peter Mawhorter",
  author_email="pmawhorter@gmail.com",
  url="http://www.cs.hmc.edu/~pmawhorter/projects.html#textension",
  download_url="http://www.cs.hmc.edu/~pmawhorter/projects/textension-0.4.tar.gz",
  description="An interpreter for Temporal EXTension files.",
  py_modules=["textension",],
  packages=["text"],
  provides=["text"],
  data_files=[('examples', ['examples/test.text', 'examples/kouen.text'])],
  executables = [
    cx_Freeze.Executable(
      script="textension.py",
      appendScriptToExe=True,
    ),
  ],
)
